# Uses of Class
org.apache.cxf.phase.Phase

Packages that use Phase
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.interceptor
org.apache.cxf.phase

- ## Uses of Phase in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return types with arguments of type Phase
  Modifier and Type
  Method
  Description
  `SortedSet<Phase>`
  PhaseManagerImpl.`getInPhases()`
  `SortedSet<Phase>`
  PhaseManagerImpl.`getOutPhases()`
  Constructor parameters in org.apache.cxf.bus.managers with type arguments of type Phase
  Modifier
  Constructor
  Description
  ``
  `PhaseManagerImpl(SortedSet<Phase> in, SortedSet<Phase> out)`

- ## Uses of Phase in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor that return types with arguments of type Phase
  Modifier and Type
  Method
  Description
  `protected abstract SortedSet<Phase>`
  AbstractFaultChainInitiatorObserver.`getPhases()`
  `protected SortedSet<Phase>`
  ClientOutFaultObserver.`getPhases()`
  `protected SortedSet<Phase>`
  InFaultChainInitiatorObserver.`getPhases()`
  `protected SortedSet<Phase>`
  OutFaultChainInitiatorObserver.`getPhases()`

- ## Uses of Phase in org.apache.cxf.phase

  Methods in org.apache.cxf.phase that return types with arguments of type Phase
  Modifier and Type
  Method
  Description
  `SortedSet<Phase>`
  PhaseManager.`getInPhases()`
  `SortedSet<Phase>`
  PhaseManager.`getOutPhases()`
  Methods in org.apache.cxf.phase with parameters of type Phase
  Modifier and Type
  Method
  Description
  `int`
  PhaseComparator.`compare(Phase o1, Phase o2)`
  Method parameters in org.apache.cxf.phase with type arguments of type Phase
  Modifier and Type
  Method
  Description
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3, List<Interceptor<? extends Message>> p4)`
  `PhaseInterceptorChain`
  PhaseChainCache.`get(SortedSet<Phase> phaseList, List<Interceptor<? extends Message>> p1, List<Interceptor<? extends Message>> p2, List<Interceptor<? extends Message>> p3, List<Interceptor<? extends Message>> p4, List<Interceptor<? extends Message>> p5)`
  Constructor parameters in org.apache.cxf.phase with type arguments of type Phase
  Modifier
  Constructor
  Description
  ``
  `PhaseInterceptorChain(SortedSet<Phase> ps)`